#include <Display OLED SSD1306.h>

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_D0, scl=PIN_D1, force_sw, stream=OLED_stream)//parametros I2C

#define SSD1306_128_32
//#define SSD1306_128_64

#include "OLED_I2C.c"

void main()
{
   OLED_Begin();
   OLED_ClearDisplay();

   setup_adc(ADC_CLOCK_INTERNAL);
   set_adc_channel (0);

   int16 potenciometro;
   char texto[128];
   while(TRUE)
   {
      sprintf(texto,"HOLA MUNDO");
      OLED_DrawText(30,1,texto,1);

      OLED_DrawRect(10,9,105,21);

      potenciometro=read_adc();
      sprintf(texto,"POT:%04lu",potenciometro);
      OLED_DrawText(14,12,texto,2);

      OLED_Display();

   }

}
